---
title: AudioNodeOptions
slug: Web/API/AudioNodeOptions
tags:
  - API
  - Audio
  - AudioNodeOptions
  - Dictionary
  - Interface
  - Options
  - Reference
  - Web Audio API
---
<p>{{APIRef("'Web Audio API'")}}</p>

<p><span class="seoSummary">The <strong><code>AudioNodeOptions</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> specifies options that can be used when creating new {{domxref("AudioNode")}} objects.</span></p>

<p><code>AudioNodeOptions</code> is inherited from by the option objects of the different types of audio node constructors. See for example {{domxref("AnalyserNode.AnalyserNode")}} or {{domxref("GainNode.GainNode")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var audioNodeOptions = {
  "channelCount" : 2,
  "channelCountMode" : "max",
  "channelInterpretation" : "discrete"
}</pre>

<h3 id="Properties">Properties</h3>

<dl>
 <dt><code>channelCount</code> {{optional_inline}}</dt>
 <dd>Represents an integer used to determine how many channels are used when <a href="/en-US/docs/Web/API/Web_Audio_API/Basic_concepts_behind_Web_Audio_API#Up-mixing_and_down-mixing">up-mixing and down-mixing</a> connections to any inputs to the node. (See {{domxref("AudioNode.channelCount")}} for more information.) Its usage and precise definition depend on the value of {{domxref("AudioNodeOptions.channelCountMode")}}.</dd>
 <dt><code>channelCountMode</code> {{optional_inline}}</dt>
 <dd>Represents an enumerated value describing the way channels must be matched between the node's inputs and outputs. (See {{domxref("AudioNode.channelCountMode")}} for more information including default values.)</dd>
 <dt><code>channelInterpretation</code> {{optional_inline}}</dt>
 <dd>Represents an enumerated value describing the meaning of the channels. This interpretation will define how audio <a href="/en-US/docs/Web/API/Web_Audio_API/Basic_concepts_behind_Web_Audio_API#Up-mixing_and_down-mixing">up-mixing and down-mixing</a> will happen.<br>
 The possible values are <code>"speakers"</code> or <code>"discrete"</code>. (See {{domxref("AudioNode.channelCountMode")}} for more information including default values.)</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dictdef-audionodeoptions','AudioNodeOptions')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioNodeOptions")}}</p>
